2024 API changelog for CMP
December 30, 2024 – API updates
Added missing pagination query parameters for the GET /teams endpoint:
- offset
- page_size
December 19, 2024 – API updates
- Updated experimental Asset and Folder Permission Routes and Request payload schema
- Removed {accessor_type} from the following routes:
- POST /assets/{asset_id}/permissions/{accessor_type} updated to POST /assets/{asset_id}/permissions.
- PATCH /assets/{asset_id}/permissions/{accessor_type}/{accessor_id} updated to PATCH /assets/{asset_id}/permissions/{accessor_id}.
- DELETE /asstes/{asset_id}/permissions/{accessor_type}/{accessor_id}updated to DELETE /asstes/{asset_id}/permissions/{accessor_id}.
- POST /folders/{id}/permissions/{accessor_type} updated to POST /folders/{id}/permissions.
- PATCH /folders/{folder_id}/permissions/{accessor_type}/{accessor_id} updated to PATCH /folders/{folder_id}/permissions/{accessor_id}.
- Updated the request payload schema of POST /assets/{asset_id}/permissions and POST /folders/{id}/permissions.
- Added DELETE /folders/{id}/permissions/{accessor_id} to support removing the accessor's access from a folder.
- Introduced the GET v3/teams endpoint to list available teams.
December 17, 2024 – API updates
Updated the following response fields for the GET v3/events/{id} endpoint:
- reference_number is now reference_id
- is_achieved is now is_archived
December 16, 2024 – New endpoint
Introduced the POST v3/campaigns endpoint, which lets you create a campaign.
December 12, 2024 – New endpoint
Introduced the GET v3/events/{id} endpoint, which provides details about the specific event.
December 5, 2024 – API update
- Added the option to specify a draft_id query parameter value of latest to get the most recent draft of the asset within the task for the GET /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance endpoint.
- Added the option to specify a draft_id query parameter value of latest to put the most recent draft of the asset within the task for the PUT /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance endpoint.
December 3, 2024 – API updates
- Added a related_resources link in the GET v3/work-requests endpoint response.
- Added a related_resourceslink in the POST v3/work-requests endpoint response.
- Added a related_resources link in the GET /work-requests/{id}/related-resources endpoint response.
December 2, 2024 – New endpoint
Introduced the GET /work-requests/{id}/related-resources endpoint, letting you get a list of work request-related resources.
November 25, 2024 – API updates
- Added the campaign_id query param to the GET /assets endpoint, enabling the ability to filter assets by a campaign_id.
- Introduced the DELETE /asstes/{asset_id}/permissions/{accessor_type}/{accessor_id} endpoint, allowing the removal of access from an asset.
November 13, 2024 – New endpoints
- Introduced the PATCH /folders/{folder_id}/permissions/{accessor_type}/{accessor_id} endpoint, letting you set the access level of a folder.
- Introduced the PATCH /assets/{asset_id}/permissions/{accessor_type}/{accessor_id} endpoint, letting you set the access level of an asset.
October 23, 2024 – API updates
- Introduced the POST /assets/{asset_id}/permissions/{accessor_type} endpoint, letting you grant asset access to users or teams.
- Introduced the POST /folders/{folder_id}/permissions/{accessor_type} endpoint, letting you grant folder access to users or teams.
- Updated the GET /fields endpoint by adding the ids query param for filtering fields by IDs.
- Fixed typo of richtext body parameter to rich_text for the following endpoints:
- POST /fields
- PATCH /fields/{id}
- POST /fields/{id}/choices
- PATCH /fields/{field_id}/choices/{choice_id}
October 16, 2024 – New endpoint
Introduced the DELETE /tasks/{task_id}/fields/{field_id} endpoint, allowing the removal of an existing field from a task.
October 9, 2024 – New endpoint
Introduced the POST /tasks/{task_id}/fields endpoint, allowing the addition of new fields to a task.
September 26, 2024 – New endpoint
Introduced the PATCH /fields/{field_id}/choices/{choice_id} endpoint, enabling updates to the choices associated with a specific field.
September 24, 2024 – New endpoint
Introduced the GET /assets/{asset_id}/permissions and GET /folders/{folder_id}/permissions endpoints, allowing retrieval of permission details for an asset and a folder, respectively.
September 22, 2024 – New endpoint
Introduced the GET /tasks/{task_id}/assets/{asset_id}/drafts/{draft_id}/brand-compliance endpoint, allowing the retrieval of brand compliance status and categories for a task asset draft.
September 18, 2024 – New endpoint
Introduced the DELETE /fields/{field_id}/choices/{choice_id} endpoint, allowing the removal of a specific choice from a field.
September 12, 2024 – API updates
- Added a new is_skipped field to the request payload of the PATCH /tasks/{task_id}/steps/{step_id}/sub-steps/{sub_step_id} endpoint, enabling the ability to skip a substep.
- Introduced the id field in the response of the GET /tasks/{task_id}/assets/{asset_id}/drafts endpoint.
September 11, 2024 – New endpoints and bugfixes
- Introduced the GET /tasks endpoint, enabling the retrieval of a list of tasks.
- Introduced the POST /fields/{id}/choices endpoint, allowing the addition of new choices to a field.
- Corrected the example of the color field in the response of the GET /fields endpoint.
- Clarified that the color field is supported exclusively for fields of type label.
- Removed the color field from the response of the POST /fields/{id}/choices endpoint.
September 8, 2024 – New endpoint
Introduced the GET /brand-compliance/categories endpoint, enabling the retrieval of brand compliance categories defined by the organization.
August 28, 2024 – New endpoint
Introduced the GET /tasks/{task_id}/assets/{asset_id}/drafts endpoint, allowing the retrieval of drafts associated with a task asset.
August 20, 2024 – New endpoint
Introduced the GET /workflows/{workflow_id} endpoint, allowing the retrieval of details about a specific workflow.
August 12, 2024 – API updates
Added the PATCH /fields/{id} endpoint, which lets you update field settings. You can use it to automatically sync field values from a third-party platform.
August 12, 2024 – API updates
Updated the description of the due_at field in the request payload of the POST /task endpoint.